MASKTEST(1)

NAME
masktest - Find differences in wildcard matching between Samba's implementation and that of a remote server.

SYNOPSIS

masktest {//server/share} [-U user%pass] [-d debuglevel] [-W workgroup] [-n numloops] [-s seed] [-a] [-E] [-M max protocol] [-f filechars] [-m maskchars] [-v]

DESCRIPTION

masktest is a utility for detecting differences in behaviour between Samba's own implementation and that of a remote server. It will run generate random filenames/masks and check if these match the same files they do on the remote file as they do on the local server. It will display any differences it finds.

This utility is used by the Samba team to find differences in behaviour between Samba and Windows servers.

OPTIONS

-U user%pass
    Specify the user and password to use when logging on on the shares. This parameter can be specified twice (once for the first server, once for the second).

-s seed
    Seed the random number generator with the specified value.

-n numops
    Set the number of operations to perform.

-a  Print the operations that are performed.

-M max_protocol
    Maximum protocol to use.

-f  Specify characters that can be used when generating file names. Default: abcdefghijklm.

-E  Abort when difference in behaviour is found.

-m maskchars
    Specify characters used for wildcards.

-v  Be verbose

VERSION

This man page is correct for version 4.0 of the Samba suite.

SEE ALSO

Samba

AUTHOR

This utility is part of the Samba: http://www.samba.org/ suite, which is developed by the global Samba Team: http://www.samba.org/samba/team/.

masktest was written by Andrew Tridgell.

This manpage was written by Jelmer Vernooij.